Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), NonPersistent()> _
Public Class ImmovablesCostRecordContactRow
    Inherits BaseObject

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    ReadOnly Property Contracts As XPCollection(Of Contracts)
        Get
            If UniqueObjects IsNot Nothing Then
                Return New XPCollection(Of Contracts)(Session, Session.ParseCriteria("State in ('Ready','Signed') and UniqueObjects=?", UniqueObjects))
            Else
                Return Nothing
            End If
        End Get
    End Property
    <Browsable(False)> Property UniqueObjects As UniqueObjects
    Property Controlling As Controlling
    Property CostHolder As CostHolder
    Property CostPlace As CostPlace
    Property JobNumberObjects As JobNumberObjects
    Property ShortName As String
    Property DateExecution As Date
    Property PaymentOption As PaymentOption
    Property InvoicePeriod As String

End Class
